From e08161eb9fdb159b5e046fd5c0c659e1f8bd940b Mon Sep 17 00:00:00 2001
From: Treeve Jelbert <treeve@sourcemage.org>
Date: Fri, 21 Apr 2017 15:42:09 +0200
Subject: [PATCH 1/2] icu-58 patch

---
 Source/WTF/wtf/text/StringView.h | 6 +++++-
 Source/WTF/wtf/unicode/UTF8.h    | 4 ++++
 2 files changed, 9 insertions(+), 1 deletion(-)

diff --git a/Source/WTF/wtf/text/StringView.h b/Source/WTF/wtf/text/StringView.h
index 6dd9398..54e30da 100644
--- a/Source/WTF/wtf/text/StringView.h
+++ b/Source/WTF/wtf/text/StringView.h
@@ -27,6 +27,11 @@
 #define StringView_h
 
 #include <unicode/utypes.h>
+#include <unicode/uvernum.h>
+#if U_ICU_VERSION_MAJOR_NUM>=51
+#include <unicode/utf_old.h>
+#endif
+
 #include <wtf/Forward.h>
 #include <wtf/RetainPtr.h>
 #include <wtf/Vector.h>
@@ -34,7 +39,6 @@
 #include <wtf/text/ConversionMode.h>
 #include <wtf/text/LChar.h>
 #include <wtf/text/StringCommon.h>
-
 // FIXME: Enabling the StringView lifetime checking causes the MSVC build to fail. Figure out why.
 // FIXME: Enable StringView lifetime checking once the underlying assertions have been fixed.
 #if defined(NDEBUG) || COMPILER(MSVC) || 1
diff --git a/Source/WTF/wtf/unicode/UTF8.h b/Source/WTF/wtf/unicode/UTF8.h
index 354aad7..2b5b12a 100644
--- a/Source/WTF/wtf/unicode/UTF8.h
+++ b/Source/WTF/wtf/unicode/UTF8.h
@@ -27,6 +27,10 @@
 #define WTF_UTF8_h
 
 #include <unicode/utypes.h>
+#include <unicode/uvernum.h>
+#if U_ICU_VERSION_MAJOR_NUM>=51
+#include <unicode/utf_old.h>
+#endif
 #include <wtf/text/LChar.h>
 
 namespace WTF {
-- 
2.12.2

